## Package gnu.crypto.prng

Interface Summary
IRandomStandalone: The basic visible methods of any pseudo-random number generator.
RandomEventListenerStandalone: An interface for entropy accumulators that will be notified of random events.

Class Summary
AsyncFortunaStandalone: fortuna instance that tries to avoid blocking if at all possible by using separate filled buffer segments rather than one buffer (and blocking when that buffer's data has been eaten)
BasePRNGStandalone: An abstract class to facilitate implementing PRNG algorithms.
FortunaStandalone: The Fortuna continuously-seeded pseudo-random number generator.
FortunaStandalone.Generator: The Fortuna generator function.
RandomEventStandalone: An interface for entropy accumulators that will be notified of random events.

Exception Summary
LimitReachedExceptionStandalone: A checked exception that indicates that a pseudo random number generated has reached its theoretical limit in generating random bytes.